curl --request GET \
--url https://app.titanx.io/api/public/v2/webhooks \
--header 'Authorization: Bearer <token>'{
"payload": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Contact Webhook",
"url": "https://api.example.com/webhooks/titanx",
"triggers": [
"job.contact.scored"
],
"status": "active",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
}Retrieve all webhook subscriptions registered for the authenticated user.
The webhook secret is never included in list responses for security reasons. Secrets are only shown once at webhook creation time.
id: Unique identifier for the webhookurl: The endpoint URL that receives webhook eventseventTypes: Array of event types this webhook is subscribed tostatus: Current status (active/inactive)createdAt: Timestamp when the webhook was createdupdatedAt: Timestamp of last modification{
"webhooks": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://your-app.com/webhooks/titanx",
"eventTypes": ["job.contact.scored"],
"status": "active",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
}
curl --request GET \
--url https://app.titanx.io/api/public/v2/webhooks \
--header 'Authorization: Bearer <token>'{
"payload": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Production Contact Webhook",
"url": "https://api.example.com/webhooks/titanx",
"triggers": [
"job.contact.scored"
],
"status": "active",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
}